Webhooks
Subscribes to change events for the departments collection.
Caution
Read the Webhooks page. There is important information on required implementation!
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-webhooks.write and connector-protimeapi-departments.read
Body properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
destinationUrl |
string | Yes | Yes | The URL where webhook events will be sent. |
collectionName |
string | Yes | Yes | The name of the collection to subscribe to (departments). |
Event properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Unique identifier for the department. |
name.default |
string | — | Read-only | Default name of the department. |
name.translations |
object | — | Read-only | Translated names for supported languages. |
externalCode |
string | — | Read-only | External code for the department. |
External references
This endpoint does not support external references for departments.
Error responses
| Status | Condition |
|---|---|
400 |
Invalid destination URL, unknown collection name, or an externalReferences query parameter |
401 |
Missing or invalid access token, or insufficient scope |
Success response
201 Created with webhookKey and validUntil in the response body.
Examples
Creating a webhook for departments
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
{
"destinationUrl": "https://www.fictional-customer.com/protime/departments",
"collectionName": "departments"
}